%define major 0
%define libname %mklibname mpg123_ %major
%define develname %mklibname -d mpg123

Summary:	MPEG audio player
Name:		mpg123
Version:	1.5.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound
URL:		http://www.mpg123.de
Source0:	http://prdownloads.sourceforge.net/mpg123/mpg123-%version.tar.gz
Source1:	mp3license.tar.bz2
BuildRequires:	libalsa-devel
BuildRequires:	libarts-devel kdelibs-common
BuildRequires:	libltdl-devel
BuildRequires:	libjack-devel
BuildRequires:	libnas-devel
BuildRequires:	libportaudio-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libSDL-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package pulse
Group: Sound
Summary: Pulse audio output plugin for mpg123
Requires: %name = %version

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package jack
Group: Sound
Summary: Jack audio output plugin for mpg123
Requires: %name = %version

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package arts
Group: Sound
Summary: Arts audio output plugin for mpg123
Requires: %name = %version

%description arts
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org


%package portaudio
Group: Sound
Summary: Portaudio output plugin for mpg123
Requires: %name = %version

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package nas
Group: Sound
Summary: NAS audio output plugin for mpg123
Requires: %name = %version

%description nas
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package sdl
Group: Sound
Summary: SDL audio output plugin for mpg123
Requires: %name = %version

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package esd
Group: Sound
Summary:Esound audio output plugin for mpg123
Requires: %name = %version

%description esd
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package -n %libname
Group:System/Libraries
Summary: MPEG audio decoding library

%description -n %libname
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For full CD
quality playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono
and/or reduced quality playback (22 kHz or 11 kHz) is possible on slow
CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package -n %develname
Group: Development/C
Summary: MPEG audio decoding library - development files
Requires: %libname = %version
Provides: libmpg123-devel = %version-%release

%description -n %develname
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For full CD
quality playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono
and/or reduced quality playback (22 kHz or 11 kHz) is possible on slow
CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%prep

%setup -q -n %name-%version -a 1
rm -f doc//README.WIN32

%build
export PATH="$PATH:/opt/kde3/bin"

%configure2_5x \
    --with-default-audio=alsa \
    --enable-ipv6=yes \
    --enable-network=yes

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -r %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files 
%defattr(-,root,root)
%doc doc/* NEWS README AUTHORS ChangeLog
%doc mp3license
%defattr (-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %_libdir/%name
%_libdir/%name/output_alsa*
%_libdir/%name/output_dummy*
%_libdir/%name/output_oss*


%files pulse
%defattr(-,root,root)
%_libdir/%name/output_pulse*

%files jack
%defattr(-,root,root)
%_libdir/%name/output_jack*

%files arts
%defattr(-,root,root)
%_libdir/%name/output_arts*

%files nas
%defattr(-,root,root)
%_libdir/%name/output_nas*

%files portaudio
%defattr(-,root,root)
%_libdir/%name/output_portaudio*

%files sdl
%defattr(-,root,root)
%_libdir/%name/output_sdl*

%files esd
%defattr(-,root,root)
%_libdir/%name/output_esd*

%files -n %libname
%defattr(-,root,root)
%_libdir/libmpg123.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libmpg123.so
%_libdir/libmpg123.la
%_includedir/mpg123.h
%_libdir/pkgconfig/libmpg123.pc


%changelog
* Fri Aug 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdv2009.0
+ Revision: 277348
- 1.5.1

* Sun Aug 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdv2009.0
+ Revision: 262019
- 1.5.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2009.0
+ Revision: 210361
- disable no undefined workaround

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 1.4.3-1mdv2009.0
+ Revision: 210270
- fix buildrequires for stupid KDE
- new version
- disable no undefined option to make it build

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdv2009.0
+ Revision: 196116
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdv2009.0
+ Revision: 192392
- new version

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 1.3.0-2mdv2008.1
+ Revision: 180900
- use alsa by default
- split pulseaudio plugin

* Mon Mar 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdv2008.1
+ Revision: 177857
- 1.3.0 (Major bugfixes)

* Wed Feb 20 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2008.1
+ Revision: 173165
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 1.2.0-1mdv2008.1
+ Revision: 161062
- New version 1.2.0

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdv2008.1
+ Revision: 152836
- new version
- add arts plugin

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 139179
- New version 1.0.1

* Thu Dec 27 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 138436
- add esd plugin
- new version
- drop patch

* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc3.2mdv2008.1
+ Revision: 136006
- fix pulse plugin

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc3.1mdv2008.1
+ Revision: 132240
- add additional audio output plugins
- make pulseaudio the default output plugin
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc2.1mdv2008.1
+ Revision: 116874
- new version

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc1.1mdv2008.1
+ Revision: 115656
- fix buildrequires
- new version
- add library package

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.68-2mdv2008.1
+ Revision: 109207
- rebuild for new lzma

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 0.68-1mdv2008.1
+ Revision: 105947
- new version

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.67-1mdv2008.1
+ Revision: 100093
- new version
- spec file clean

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 0.66-2mdv2008.0
+ Revision: 35061
- new version


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 0.65-1mdv2007.0
+ Revision: 117186
- new version

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 0.64-1mdv2007.1
+ Revision: 109395
- new version

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.63-1mdv2007.1
+ Revision: 108921
- new version

* Wed Dec 27 2006 Götz Waschk <waschk@mandriva.org> 0.62-1mdv2007.1
+ Revision: 102143
- new version

* Mon Oct 23 2006 Götz Waschk <waschk@mandriva.org> 0.61-1mdv2007.0
+ Revision: 71689
- Import mpg123

* Mon Oct 23 2006 Götz Waschk <waschk@mandriva.org> 0.61-1mdv2007.1
- New version 0.61

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 0.60-2mdv2007.0
- fix buildrequires

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 0.60-1mdv2007.0
- drop all patches
- change license to LGPL
- new version

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.59r-24mdk
- Rebuild

* Wed Jan 26 2005 Michael Scherer <misc@mandrake.org> 0.59r-23mdk
- from Nicolas Lcureuil <neoclust@zarb.org>
  - security fix for CAN-2004-0991
  - security fix (ref: gentoo bug #68343)

* Sat Oct 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.59r-22mdk
- Patch 8 & 9 : security fixes for CAN-2003-0865 and CAN-2004-0805

